/**
 * File: single.css
 * Usage: single.php(投稿の個別ページ)のスタイルを定義します。
*/

main::after {
  content: none;
}

.ly_singleColumn {
  padding-inline: var(--col-1);
}

.bl_singleColumn_content {
  margin-bottom: 80px;
}

.el_postTtl {
  font-size: clamp(1.5rem, 1.1429rem + 1.7857vw, 2rem);
}

.bl_singleColumn_content .bl_postContent {
  font-size: 16px;
}

.bl_singleColumn_content .bl_post {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.el_postMeta {
  display: flex;
  gap: 35px;
}

.el_postCat {
  display: flex;
  gap: 8px;
  align-items: center;
}

.el_postCat::before {
  width: 6px;
  height: 6px;
  content: '';
  background: var(--color-neutral);
  border-radius: 50%;
}

.bl_relatedPosts .el_secTtl {
  font-size: 20px;
  text-align: left;
  margin-bottom: 32px;
}

.bl_relatedPosts_list {
  padding-bottom: 120px;
  display: flex;
  flex-direction: column;
  gap: 42px;
}

.bl_relatedPosts_item a {
  width: var(--col-8);
  display: flex;
  flex-direction: column;
  gap: 14px;
}

.bl_relatedPosts_item:nth-child(even) a {
  margin-left: auto;
}

.el_relatedPosts_thumb {
  aspect-ratio: 250 / 162;
  overflow: hidden;
}

.el_relatedPosts_thumb img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.el_relatedPosts_info {
  display: flex;
  gap: 16px;
}

.bl_singleNews_content .bl_post {
	max-width: 960px;
}

@media screen and (min-width: 768px) {
  .ly_singleColumn {
    padding-inline: var(--col-2);
  }

  .bl_singleColumn_content .bl_post {
    gap: 64px;
  }

  .el_postMeta {
    font-size: 16px;
  }

  .bl_relatedPosts_list {
    flex-direction: row;
    gap: 21px;
  }

  .bl_relatedPosts_item a {
    width: calc((100vw / 12 * 8) / 3 - 14px);
  }

  .bl_singleColumn_content {
    margin-bottom: 140px;
  }

  .bl_relatedPosts .el_secTtl {
    font-size: 24px;
  }

  .el_postEyecatch {
    aspect-ratio: 8 / 3;
    overflow: hidden;
  }

  .el_postEyecatch img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .bl_singleColumn_content .bl_postContent {
    letter-spacing: 0.1em;
    line-height: 2;
  }
}
